<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_d013620d4b36b1d03509cb" . "eff31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZX" . "JpYyBmaWVsZCA="), "_d155d43a39de93f858123c6" . "b6ce31d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_27ba77e349cbe144e8794d0c0497a" . "106" => base64_decode("IiBnaXZlbiBmb3Igc2VsZW" . "N0IGZpZWxkIA=="), "_a7fdbac2a6d0ebb5bb" . "8ea569e8173d7b" => base64_decode("IiBmb3" . "IgZGF0" . "ZSBmaW" . "VsZCA="), "_bd71c3b5c201fc11d" . "b82ed14ce424de5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "_3aec16c1aa2104da778e41" . "2207d6c415" => base64_decode("L15cZHsx" . "NH18XGR7" . "OH0kLw=="), "_bb26699a673361f" . "f7c17444a2a82deb" . "a" => base64_decode("SW52YWxpZCB2YWx1ZSB" . "naXZlbiBmb3IgZG9jdW" . "1lbnQgbGluayBmaWVsZ" . "CA="), "_535e3fcb3f5d89" . "c525bb618a08cc8" . "dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW5" . "0IElEIG9yIGEgZG9jdW1lbnQgb2JqZWN0"), "_62d701c3c534" . "04f06345eb357" . "20a47b4" => base64_decode("aXNfbnVtZXJpYw=" . "="), "_66a6b98e1f1601e30de10feb344fc" . "db6" => base64_decode("SW52YWxpZCB2YWx1Z" . "SAi"), "_dc99f29eb97c2" . "74b4e47f6701fb" . "2d842" => base64_decode("TWV0YWRhdGEgZm" . "llbGQg"), "_fa96cdf" . "58bff3b0" . "695fb2bc" . "0803d7b1" . "2" => base64_decode("IGRvZXMgbm90" . "IGV4aXN0"), "_a827c5bc10b88" . "ccab760d95c58b" . "fbeaa" => base64_decode("Q291bGQgbm90IHBhcnNlIHZ" . "hbHVlICI="), "_2cb499b451eb718f841aaa78dc7" . "0cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIGZpZWxkI" . "A=="), "_4b4a03dbe69a4c39db014be2875a73" . "13" => base64_decode("Tm9uLW51bWV" . "yaWMgdmFsdW" . "UgIg=="), "_ac927f4168" . "510971a5950" . "8f1f08cf98a" => base64_decode("L15cZHs4fS" . "Qv"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_dc99f29eb" . "97c274b4e4" . "7f6701fb2d" . "842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_fa96cdf58bff3b0695fb2bc0803d" . "7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_62d701c" . "3c53404f" . "06345eb3" . "5720a47b" . "4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4b4a03dbe69a4c39db" . "014be2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d013620d4b36b1d03509cbeff31b" . "bdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d155d43a39de93f8" . "58123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3aec16c1aa2104da778e412" . "207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a827c5bc10b88ccab" . "760d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2cb499b451" . "eb718f841aa" . "a78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_66a6b98e1f16" . "01e30de10feb3" . "44fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_27ba77e349cbe144e8" . "794d0c0497a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_62d701c3c53404" . "f06345eb35720a4" . "7b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bb26699a673361ff7c17444a2a8" . "2deba"] . $key . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_535e3fcb3f5d89c525bb618a08c" . "c8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d155d43a39de93f85812" . "3c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ac927f4168510971a" . "59508f1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a827c5bc10b88ccab760d" . "95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a7fdbac2a6d0ebb5bb8ea5" . "69e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}